<< gph_isBounded | gph | gph_lft >>

CCA (Computational Convex Analysis) >> gph > gph_isEqual

# gph_isEqual

Graph-matrix calculus (GPH), Model equivalence test

### Calling Sequence

    b = gph_isEqual(gph1, gph2)

### Parameters

gph1

  matrix. A function in GPH matrix form.

gph2

  matrix. A function in GPH matrix form.

b

  boolean. Whether or not the models are equivalent.

### Description

Accepts two GPH matrices, and returns true if and only if both models represent the same PLQ function, ignoring rounding error and redundant points.

### Examples

    gph1 = [0 1; 0 2; 0 1];
    gph2 = [-1 -0.5; -2 -1; 1 0.25];
    b = gph_isEqual(gph1, gph2),

### See Also

- gph_function

### Authors

`Bryan Gardiner`, University of British Columbia, BC, Canada

<< gph_isBounded | gph | gph_lft >>